Loading...
Searching...
No Matches
disarray_store< OutputRandomIterator, SetOp, Size, std::true_type >

## Detailed Description

template<class OutputRandomIterator, class SetOp, class Size>
struct rheolef::disarray_store< OutputRandomIterator, SetOp, Size, std::true_type >

Definition at line 43 of file disarray_store.h.

## Public Types

typedef std::iterator_traits< OutputRandomIterator >::value_type | T
typedef T::value_type | U
typedef std::pair< Size, U > | data_type

## Public Member Functions

void | operator() (const std::pair< Size, U > &val)
Size | n_new_entry () const
| disarray_store (OutputRandomIterator x, SetOp op)

## Public Attributes

OutputRandomIterator | _x
SetOp | _op

## Member Typedef Documentation

## T

template<class OutputRandomIterator , class SetOp , class Size >

typedef std::iterator_traits<OutputRandomIterator>::value_type T

Definition at line 44 of file disarray_store.h.

## U

template<class OutputRandomIterator , class SetOp , class Size >

typedef T::value_type U

Definition at line 45 of file disarray_store.h.

## data_type

template<class OutputRandomIterator , class SetOp , class Size >

typedef std::pair<Size,U> data_type

Definition at line 46 of file disarray_store.h.

## Constructor & Destructor Documentation

## disarray_store()

template<class OutputRandomIterator , class SetOp , class Size >

disarray_store | ( | OutputRandomIterator | x,
|  | SetOp | op
| ) |  |

Definition at line 51 of file disarray_store.h.

## Member Function Documentation

## operator()()

template<class OutputRandomIterator , class SetOp , class Size >

void operator() | ( | const std::pair< Size, U > & | val | ) |

Definition at line 47 of file disarray_store.h.

## n_new_entry()

template<class OutputRandomIterator , class SetOp , class Size >

Size n_new_entry | ( |  | ) | const

Definition at line 50 of file disarray_store.h.

## Member Data Documentation

## _x

template<class OutputRandomIterator , class SetOp , class Size >

OutputRandomIterator _x

Definition at line 52 of file disarray_store.h.

## _op

template<class OutputRandomIterator , class SetOp , class Size >

SetOp _op

Definition at line 53 of file disarray_store.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-mDkPTY/rheolef-7.2/linalg/lib/disarray_store.h